ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/protocol-run
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/protocol-run' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "protocolId": 0, "runDatalId": "string", "isRunInProgress": true, "isSimulation": true, "protocolRunState": "Idle", "startTime": "2019-08-24T14:15:22Z", "estimatedEndTime": "2019-08-24T14:15:22Z", "endPauseTime": "2019-08-24T14:15:22Z", "protocolName": "string", "currentStep": 0, "preLoadThermalDeviceUsed": "Hhs", "preLoadHepaFiltration": true }
- Mock server
http://{{your_prep_ip_address}}/api/v1/protocol-run/create
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/protocol-run/create' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '{
"protocolId": 0,
"simulate": true,
"recompile": true
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/protocol-run/submit-hit-pick-file
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/protocol-run/submit-hit-pick-file' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"protocolId": 0,
"stepId": 0,
"fileName": "string",
"fileContents": "string"
}'